Package picard.metrics

## Class SAMRecordMultiLevelCollector<BEAN extends htsjdk.samtools.metrics.MetricBase,​HKEY extends Comparable>

- java.lang.Object
- - picard.metrics.MultiLevelCollector<BEAN,​HKEY,​htsjdk.samtools.SAMRecord>
  - - picard.metrics.SAMRecordMultiLevelCollector<BEAN,​HKEY>

- Direct Known Subclasses:
    `RnaSeqMetricsCollector`, `TargetMetricsCollector`

      public abstract class SAMRecordMultiLevelCollector<BEAN extends htsjdk.samtools.metrics.MetricBase,​HKEY extends Comparable>
      extends MultiLevelCollector<BEAN,​HKEY,​htsjdk.samtools.SAMRecord>

  Defines a MultilevelPerRecordCollector using the argument type of SAMRecord so that this doesn't have to be redefined for each subclass of MultilevelPerRecordCollector

- - ### Field Summary

    - ### Fields inherited from class picard.metrics.MultiLevelCollector

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SAMRecordMultiLevelCollector()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected htsjdk.samtools.SAMRecord` | `makeArg​(htsjdk.samtools.SAMRecord samRec, htsjdk.samtools.reference.ReferenceSequence refSeq)` |

    - ### Methods inherited from class picard.metrics.MultiLevelCollector

      `acceptRecord, addAllLevelsToFile, finish, getAllReadsCollector, makeAllReadCollector, makeChildCollector, makeLibraryCollector, makeReadGroupCollector, makeSampleCollector, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMRecordMultiLevelCollector

          public SAMRecordMultiLevelCollector()

  - ### Method Detail

    - #### makeArg

          protected htsjdk.samtools.SAMRecord makeArg​(htsjdk.samtools.SAMRecord samRec,
                                                      htsjdk.samtools.reference.ReferenceSequence refSeq)

      Specified by:
        `makeArg` in class `MultiLevelCollector<BEAN extends htsjdk.samtools.metrics.MetricBase,​HKEY extends Comparable,​htsjdk.samtools.SAMRecord>`